<?php

require_once('/usr/fallback/beroConf.php');
require_once('/usr/local/www/berogui/misc/database.php');
require_once('/usr/local/www/berogui/includes/Helper.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'beroCloudRegister';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['CloudUser']) || !isset($this->_get['CloudPassword'])) {
			$this->_execResultString = 'error';
			$this->_execResult = false;
			return($this->_execResult);
		}

		// open databases
		$bc = new beroConf('root');
		$ba = new beroAri();

		// compile data
		preg_match('/[^a-zA-Z0-9=]*?d=(?<serial>.+) /', file_get_contents('/proc/cmdline'), $matches);
		$data = array('serial' => $matches['serial'], 'cloud_username' => $this->_get['CloudUser'], 'cloud_password' => $this->_get['CloudPassword']);
		unset($matches);

		// set options for cURL
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, 'https://' . $ba->get('cloudAddress') . '/index.php?r=api/register');
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

		// run cURL
		$result = curl_exec($ch);
		curl_close($ch);

		// evaluate result
		preg_match('/[^a-zA-Z0-9=]*?yaqwsx(?<key>.+)yaqwsx/', $result, $matches);
		$key = unserialize($matches['key']);
		if (!isset($key['key'])) {
			$this->_execResultString = 'error:' . trim($result);
			$this->_execResult = false;
			return($this->_execResult);
		}

		// save key in rootDB
		$bc->set('root', 'cloud_key', $key['key']);
		Helper::activate(1);

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
